Package org.h2gis.functions.spatial.create

# Class ST_MakeEnvelope

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.create.ST_MakeEnvelope

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_MakeEnvelope extends org.h2gis.api.DeterministicScalarFunction
Creates a rectangular POLYGON formed from the given x and y minima. The user may specify an SRID; if no SRID is specified the unknown spatial reference system is assumed.

Author:
  Erwan Bocher

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_MakeEnvelope()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getJavaStaticMethod()`
`static org.locationtech.jts.geom.Polygon`
`makeEnvelope(double xmin, double ymin, double xmax, double ymax)`
Creates a rectangular Polygon formed from the minima and maxima by the given shell.
`static org.locationtech.jts.geom.Polygon`
`makeEnvelope(double xmin, double ymin, double xmax, double ymax, int srid)`
Creates a rectangular Polygon formed from the minima and maxima by the given shell.

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_MakeEnvelope

public ST_MakeEnvelope()

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### makeEnvelope

public static org.locationtech.jts.geom.Polygon makeEnvelope(double xmin, double ymin, double xmax, double ymax)
Creates a rectangular Polygon formed from the minima and maxima by the given shell.

Parameters:
  `xmin` - X min
  `ymin` - Y min
  `xmax` - X max
  `ymax` - Y max
Returns:
  Envelope as a POLYGON

### makeEnvelope

public static org.locationtech.jts.geom.Polygon makeEnvelope(double xmin, double ymin, double xmax, double ymax, int srid)
Creates a rectangular Polygon formed from the minima and maxima by the given shell. The user can set a srid.

Parameters:
  `xmin` - X min
  `ymin` - Y min
  `xmax` - X max
  `ymax` - Y max
  `srid` - SRID
Returns:
  Envelope as a POLYGON